Subject: Re: bug#26738: Build failures

From: Mathieu Lirzin <[email-masked]>
Date: Thu, 18 Jan 2018 22:17:18 +0100

Hello,

Mathieu Lirzin <[email-masked]> writes:

> Mathieu Lirzin <[email-masked]> writes:
>
>> I was able to reproduce this bug on my machine (Fedora 25) with the
>> minor development branch (v1.15.0a).  The FAILING tests are related to
>> the presence of DejaGNU on the system.  Unfortunately I have never used
>> it so it won't be easy for me to debug.  Hopefully somebody more
>> knowledgable, will be able to investigate.
>>
>> If you are only using Automake without DejaGNU, you can safely ignore
>> those failures.
>
> Here are my logs when running the "t/check12.sh", "t/check12-w.sh", and
> "t/distcheck-no-prefix-or-srcdir-override.sh" tests that were failing on
> Paul's system:

I have identified the issue

--8<---------------cut here---------------start------------->8---
Running target unix
Using /usr/share/dejagnu/baseboards/unix.exp as board description file for target.
Using /usr/share/dejagnu/config/unix.exp as generic interface file for target.
WARNING: Couldn't find tool config file for unix, using default.
Running ../../hammer.test/hammer.exp ...
ERROR: tcl error sourcing ../../hammer.test/hammer.exp.
ERROR: couldn't execute "../../hammer": no such file or directory
[...]
Running target unix
Using /usr/share/dejagnu/baseboards/unix.exp as board description file for target.
Using /usr/share/dejagnu/config/unix.exp as generic interface file for target.
WARNING: Couldn't find tool config file for unix, using default.
Running ../../spanner.test/spanner.exp ...
ERROR: tcl error sourcing ../../spanner.test/spanner.exp.
ERROR: couldn't execute "../../spanner": no such file or directory
--8<---------------cut here---------------end--------------->8---

‘hammer’ and ‘spanner’ are not found when running ‘make distcheck’
because they are not ditributed in the tarball.  Those scripts are
declared in the DEJATOOL special variable.  So I am wondering if the
contents of this variable should be automatically distributed or not.
If not here is a update for the test:

diff --git a/t/check12.sh b/t/check12.sh
index 34007896c..111f43318 100644
--- a/t/check12.sh
+++ b/t/check12.sh
@@ -59,6 +59,7 @@ cat >> Makefile.am << 'END'
 AUTOMAKE_OPTIONS += dejagnu
 DEJATOOL = hammer spanner
 AM_RUNTESTFLAGS = HAMMER=$(srcdir)/hammer SPANNER=$(srcdir)/spanner
+EXTRA_DIST += $(DEJATOOL)
 EXTRA_DIST += hammer.test/hammer.exp
 EXTRA_DIST += spanner.test/spanner.exp
 END

-- 
Mathieu Lirzin
GPG: F2A3 8D7E EB2B 6640 5761  070D 0ADE E100 9460 4D37